Skip to main content
`Ctrl`+`K`

# KSPMonitorSAWs

monitor `KSP` solution using SAWs

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorSAWs(KSP ksp, PetscInt n, PetscReal rnorm, void *ctx)

Logically Collective

## Input Parameters

- ksp - iterative context

- n - iteration number

- rnorm - 2-norm (preconditioned) residual value (may be estimated).

- ctx - created with `KSPMonitorSAWsCreate()`

## Note

Create the ctx with `KSPMonitorSAWsCreate()` then call `KSPMonitorSet()` with the context, this function, and `KSPMonitorSAWsDestroy()`

## See Also

KSP: Linear System Solvers, `KSP`, `KSPMonitorSet()`, `KSPMonitorSAWsCreate()`, `KSPMonitorSAWsDestroy()`, `KSPMonitorSingularValue()`, `KSPComputeExtremeSingularValues()`, `PetscViewerSAWsOpen()`

## Level

advanced

## Location

src/ksp/ksp/interface/saws/kspsaws.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages